Skip to content
Browse files

依存関係の記述をGemfileに移動

  • Loading branch information...
1 parent 740d47f commit 16f372a07c89c483e2aed618a05578943c67f785 @ongaeshi committed
Showing with 24 additions and 29 deletions.
  1. +14 −1 Gemfile
  2. +1 −16 Rakefile
  3. +1 −1 VERSION
  4. +8 −11 milkode.gemspec
View
15 Gemfile
@@ -1,8 +1,21 @@
source "http://rubygems.org"
+
# Add dependencies required to use your gem here.
# Example:
# gem "activesupport", ">= 2.3.5"
-gemspec
+# gemspec
+gem 'termcolor','>= 1.2.0'
+gem 'rroonga','>= 1.1.0'
+gem 'rack','>=1.3.4'
+gem 'sinatra', '>=1.2.6'
+gem 'launchy', '>=0.3.7'
+gem 'coderay', '>=1.0.5'
+gem 'thin', '>=1.2.10'
+gem 'archive-zip', '>=0.4.0'
+gem 'haml', '>=3.1.2'
+gem 'sass', '>=3.1.3'
+gem 'thor', '~> 0.15.0'
+
# Add dependencies to develop your gem here.
# Include everything needed to run rake, tests, features, etc.
group :development do
View
17 Rakefile
@@ -20,22 +20,7 @@ Jeweler::Tasks.new do |gem|
gem.description = %Q{Line based local source code search engine & grep-command & web-app.}
gem.email = "ongaeshi0621@gmail.com"
gem.authors = ["ongaeshi"]
-
- # Include your dependencies below. Runtime dependencies are required when using your gem,
- gem.add_runtime_dependency 'termcolor','>= 1.2.0'
- gem.add_runtime_dependency 'rroonga','>= 1.1.0'
- gem.add_runtime_dependency 'rack','>=1.3.4'
- gem.add_runtime_dependency 'sinatra', '>=1.2.6'
- gem.add_runtime_dependency 'launchy', '>=0.3.7'
- gem.add_runtime_dependency 'coderay', '>=1.0.5'
- gem.add_runtime_dependency 'thin', '>=1.2.10'
- gem.add_runtime_dependency 'archive-zip', '>=0.4.0'
- gem.add_runtime_dependency 'haml', '>=3.1.2'
- gem.add_runtime_dependency 'sass', '>=3.1.3'
- gem.add_runtime_dependency 'thor', '~> 0.15.0'
-
- # and development dependencies are only needed for development (ie running rake tasks, tests, etc)
- # gem.add_development_dependency 'rspec', '> 1.2.3'
+ # Dependencies move to 'Gemfile'
end
Jeweler::RubygemsDotOrgTasks.new
View
2 VERSION
@@ -1 +1 @@
-0.7.0
+0.7.1
View
19 milkode.gemspec
@@ -5,11 +5,11 @@
Gem::Specification.new do |s|
s.name = %q{milkode}
- s.version = "0.7.0"
+ s.version = "0.7.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["ongaeshi"]
- s.date = %q{2012-05-06}
+ s.date = %q{2012-05-16}
s.description = %q{Line based local source code search engine & grep-command & web-app.}
s.email = %q{ongaeshi0621@gmail.com}
s.executables = ["gmilk", "milk"]
@@ -128,9 +128,6 @@ Gem::Specification.new do |s|
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<milkode>, [">= 0"])
- s.add_development_dependency(%q<bundler>, [">= 0"])
- s.add_development_dependency(%q<jeweler>, [">= 0"])
s.add_runtime_dependency(%q<termcolor>, [">= 1.2.0"])
s.add_runtime_dependency(%q<rroonga>, [">= 1.1.0"])
s.add_runtime_dependency(%q<rack>, [">= 1.3.4"])
@@ -142,10 +139,9 @@ Gem::Specification.new do |s|
s.add_runtime_dependency(%q<haml>, [">= 3.1.2"])
s.add_runtime_dependency(%q<sass>, [">= 3.1.3"])
s.add_runtime_dependency(%q<thor>, ["~> 0.15.0"])
+ s.add_development_dependency(%q<bundler>, [">= 0"])
+ s.add_development_dependency(%q<jeweler>, [">= 0"])
else
- s.add_dependency(%q<milkode>, [">= 0"])
- s.add_dependency(%q<bundler>, [">= 0"])
- s.add_dependency(%q<jeweler>, [">= 0"])
s.add_dependency(%q<termcolor>, [">= 1.2.0"])
s.add_dependency(%q<rroonga>, [">= 1.1.0"])
s.add_dependency(%q<rack>, [">= 1.3.4"])
@@ -157,11 +153,10 @@ Gem::Specification.new do |s|
s.add_dependency(%q<haml>, [">= 3.1.2"])
s.add_dependency(%q<sass>, [">= 3.1.3"])
s.add_dependency(%q<thor>, ["~> 0.15.0"])
+ s.add_dependency(%q<bundler>, [">= 0"])
+ s.add_dependency(%q<jeweler>, [">= 0"])
end
else
- s.add_dependency(%q<milkode>, [">= 0"])
- s.add_dependency(%q<bundler>, [">= 0"])
- s.add_dependency(%q<jeweler>, [">= 0"])
s.add_dependency(%q<termcolor>, [">= 1.2.0"])
s.add_dependency(%q<rroonga>, [">= 1.1.0"])
s.add_dependency(%q<rack>, [">= 1.3.4"])
@@ -173,6 +168,8 @@ Gem::Specification.new do |s|
s.add_dependency(%q<haml>, [">= 3.1.2"])
s.add_dependency(%q<sass>, [">= 3.1.3"])
s.add_dependency(%q<thor>, ["~> 0.15.0"])
+ s.add_dependency(%q<bundler>, [">= 0"])
+ s.add_dependency(%q<jeweler>, [">= 0"])
end
end

0 comments on commit 16f372a

Please sign in to comment.
Something went wrong with that request. Please try again.